Get a storage integration by ID
curl --request GET \
--url https://api.audioshake.ai/storage-integrations/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.audioshake.ai/storage-integrations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.audioshake.ai/storage-integrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"clientId": "<string>",
"type": "<string>",
"storageName": "<string>",
"authConfig": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}Storage Integrations
Get Storage Integration
GET
/
storage-integrations
/
{id}
Get a storage integration by ID
Fetch a single storage integration by its
id.Authorizations
Path Parameters
Storage integration ID
Response
200 - application/json
object | null
Default Response
Unique identifier
Owning client ID
Provider type, e.g. aws, gcp, azure
Required string length:
1 - 64Bucket / container / account display name
Required string length:
1 - 512Provider-specific auth / connection JSON
Show child attributes
Show child attributes
Created timestamp (ISO 8601)
Updated timestamp (ISO 8601)
Was this page helpful?